# ik_ISoundEngine.h File Reference

`#include "ik_IRefCounted.h"`
`#include "ik_vec3d.h"`
`#include "ik_ISoundSource.h"`
`#include "ik_ISound.h"`
`#include "ik_EStreamModes.h"`
`#include "ik_IFileFactory.h"`
`#include "ik_ISoundMixedOutputReceiver.h"`

Go to the source code of this file.

## Classes
class | irrklang::ISoundEngine
| Interface to the sound engine, for playing 3d and 2d sound and music. More...
struct | irrklang::SInternalAudioInterface
| structure for returning pointers to the internal audio interface. More...
## Namespaces
namespace | irrklang

| Everything in the irrKlang Sound Engine can be found in this namespace.

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Defines

| The irrKlang Engine Documentation © 2003-2018 by Nikolaus Gebhardt. Generated by Doxygen (1.6.1)